%define	name	tuxpuck
%define	version	0.8.2
%define	release	%mkrel 16

Summary:	Clone of ShufflePuck Cafe historical game
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		tuxpuck-0.8.2-png15.patch
URL:		http://altruistic.lbl.gov/mirrors/ubuntu/pool/universe/t/tuxpuck/
License:	GPLv2+
Group:		Games/Arcade
BuildRequires:	SDL-devel png-devel oggvorbis-devel libz-devel jpeg-devel
BuildRequires:	freetype2-devel

%description
Anyone remember "Shufflepuck Cafe" for the Amiga/AtariST ?

%prep
%setup -q
%patch0 -p0

%build
perl -pi -e 's/-Werror//' Makefile utils/Makefile
perl -pi -e 's/`sdl-config --cflags`/`sdl-config --cflags` `freetype-config --cflags`/' utils/Makefile
CFLAGS="%optflags %ldflags" CXXFLAGS="%optflags" make

%install
rm -rf %{buildroot}
install -m755 %{name} -D %{buildroot}%{_gamesbindir}/%{name}


install -m 755 -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Tuxpuck
Comment=Clone of ShufflePuck Cafee
Exec=%{_gamesbindir}/%name
Icon=arcade_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING 
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop






%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.8.2-16.mga3
+ Revision: 384885
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 19 2011 zezinho <zezinho> 0.8.2-15.mga2
+ Revision: 145222
- corrected url for source

* Sun Sep 18 2011 fwang <fwang> 0.8.2-14.mga2
+ Revision: 145014
- fix build with libpng1.5

* Sun Jul 10 2011 stormi <stormi> 0.8.2-13.mga2
+ Revision: 121429
- increase release so that it's higher than the one in mageia 1
- remove buildroot definition

* Sat Jul 02 2011 zezinho <zezinho> 0.8.2-12.mga2
+ Revision: 117503
- imported package tuxpuck

